ELogHandler
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.internal
Class ELogHandler

    java.lang.Object
      java.util.logging.Handler
          org.postgresql.pljava.internal.ELogHandler

    public class ELogHandler

extends java.util.logging.Handler

Provides access to the loggin mechanism of the PostgreSQL server.

Field Summary
`static int` | `LOG_DEBUG1`
`static int` | `LOG_DEBUG2`
`static int` | `LOG_DEBUG3`
`static int` | `LOG_DEBUG4`
`static int` | `LOG_DEBUG5` Debugging messages, in categories of decreasing detail.
`static int` | `LOG_ERROR` user error - abort transaction; return to known state
`static int` | `LOG_FATAL` fatal error - abort process
`static int` | `LOG_INFO` Informative messages that are always sent to client; is not affected by client_min_messages
`static int` | `LOG_LOG` Server operational messages; sent only to server log by default.
`static int` | `LOG_NOTICE` Helpful messages to users about query operation; sent to client and server log by default.
`static int` | `LOG_PANIC` take down the other backends with me
`static int` | `LOG_WARNING` Warnings

Constructor Summary
`ELogHandler()`

Method Summary
`void` | `close()` This is a no-op.
`void` | `flush()` This is a no-op.
`static java.util.logging.Level` | `getPgLevel()` Obtains the "log_min_messages" configuration variable and translates it into a `Level` object.
`static void` | `init()`
`void` | `publish(java.util.logging.LogRecord record)`

Methods inherited from class java.util.logging.Handler
`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_DEBUG5

    public static final int LOG_DEBUG5

  Debugging messages, in categories of decreasing detail.

  See Also:
    Constant Field Values

### LOG_DEBUG4

    public static final int LOG_DEBUG4

See Also:
  Constant Field Values

### LOG_DEBUG3

    public static final int LOG_DEBUG3

See Also:
  Constant Field Values

### LOG_DEBUG2

    public static final int LOG_DEBUG2

See Also:
  Constant Field Values

### LOG_DEBUG1

    public static final int LOG_DEBUG1

See Also:
  Constant Field Values

### LOG_LOG

    public static final int LOG_LOG

  Server operational messages; sent only to server log by default.

  See Also:
    Constant Field Values

### LOG_INFO

    public static final int LOG_INFO

  Informative messages that are always sent to client; is not affected by client_min_messages

  See Also:
    Constant Field Values

### LOG_NOTICE

    public static final int LOG_NOTICE

  Helpful messages to users about query operation; sent to client and server log by default.

  See Also:
    Constant Field Values

### LOG_WARNING

    public static final int LOG_WARNING

  Warnings

  See Also:
    Constant Field Values

### LOG_ERROR

    public static final int LOG_ERROR

  user error - abort transaction; return to known state

  See Also:
    Constant Field Values

### LOG_FATAL

    public static final int LOG_FATAL

  fatal error - abort process

  See Also:
    Constant Field Values

### LOG_PANIC

    public static final int LOG_PANIC

  take down the other backends with me

  See Also:
    Constant Field Values

Constructor Detail

### ELogHandler

    public ELogHandler()

Method Detail

### publish

    public void publish(java.util.logging.LogRecord record)

  Specified by:
    `publish` in class `java.util.logging.Handler`

### flush

    public void flush()

  This is a no-op.

  Specified by:
    `flush` in class `java.util.logging.Handler`

### close

    public void close()
               throws java.lang.SecurityException

  This is a no-op.

  Specified by:
    `close` in class `java.util.logging.Handler`
  Throws:
    `java.lang.SecurityException`

### init

    public static void init()

### getPgLevel

    public static java.util.logging.Level getPgLevel()

  Obtains the "log_min_messages" configuration variable and translates it into a `Level` object.

  Returns:
    The Level that corresponds to the configuration variable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT